%define		status		alpha
%define		pearname	Auth_Yubico
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Authentication class for verifying Yubico OTP tokens
Summary(pl.UTF-8):	%{pearname} - klasa uwierzytelniająca do weryfikowania tokenów OTP Yubico
Name:		php-pear-Auth_Yubico
Version:	2.6
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	https://developers.yubico.com/php-yubico/Releases/Auth_Yubico-%{version}.tgz
# Source0-md5:	bfd284b96166c2122006623024faf26c
URL:		https://developers.yubico.com/php-yubico/
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP class to help you verify Yubico OTP tokens.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Klasa PHP pomagająca weryfikować tokeny OTP Yubico.

Ta klasa ma w PEAR status: %{status}.

%prep
%setup -q -n Auth_Yubico-%{version}
%define builddir $(pwd)
%pear_install
cat .install.log | %__pear_install_log
%undos -f php,html,js,xml

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/auth_yubico.reg
%{php_pear_dir}/Auth/Yubico.php
%changelog
* Sun Feb 24 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Auth_Yubico.git;a=log;h=master

* Sun Feb 24 2019 Adam Gołębiowski <adamg@pld-linux.org> bc25266
- updated to 2.6

* Wed May 23 2018 Jakub Bogusz <qboosh@pld-linux.org> 49fd036
- pl

* Sat Jan 28 2017 Elan Ruusamäe <glen@delfi.ee> 348f955
- drop template leftovers

* Sat Jan 28 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ce2371
- cleanups

* Sat Jan 28 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 83dbcc8
- initial; don't see a way to handle it with pure pear_package_setup macro, so workarounds used

